/*  sbc5307.h
 *
 *  $Id: $
 */

#ifndef _SBC5307_H_
#define _SBC5307_H_

/* put hardware defs and other useful sbc5307 specific stuff in here! */

#define AUTOVEC_VECTOR		24

#define TIMER1_IRQ_LEVEL	5
#define TIMER1_IRQ_PRIORITY 	3
#define TIMER1_IRQ_VECTOR	(AUTOVEC_VECTOR + TIMER1_IRQ_LEVEL)

#define TIMER2_IRQ_LEVEL	6
#define TIMER2_IRQ_PRIORITY	3
#define TIMER2_IRQ_VECTOR	(AUTOVEC_VECTOR + TIMER2_IRQ_LEVEL)

#define UART1_IRQ_LEVEL		1
#define UART1_IRQ_PRIORITY	1
#define UART1_IRQ_VECTOR	64

#define UART2_IRQ_LEVEL		1
#define UART2_IRQ_PRIORITY	2
#define UART2_IRQ_VECTOR	(UART1_IRQ_VECTOR + 1) /* driver requires vectors be contiguous */

#define MBUS_IRQ_LEVEL		3
#define MBUS_IRQ_PRIORITY	0
#define MBUS_IRQ_VECTOR		(AUTOVEC_VECTOR + MBUS_IRQ_LEVEL)

#define NIC_IRQ_LEVEL		4
#define NIC_IRQ_PRIORITY	2
#define NIC_IRQ_VECTOR		27

/* macros/functions */

#endif /* _SBC5307_H_ */
